Imlib2 missing on SLES12 SP5 and unable to reach zammad

Infos:

  • Used Zammad version: zammad-3.4.0-1592470089.65376a81.sles12.x86_64
  • Used Zammad installation source: (source, package, …) RPM
  • Operating system: SLES 12 SP5
  • Browser + version: Firefox 68.9.0esr

Expected behavior:

  • Zammad should start after RPM installation provided by docs.zammad.org "Install via RPM)

Actual behavior:

  • Problem: nothing provides imlib2 needed by zammad-3.4.0-1592470089.65376a81.sles12.x86_64
    Solution 1: do not install zammad-3.4.0-1592470089.65376a81.sles12.x86_64
    Solution 2: break zammad-3.4.0-1592470089.65376a81.sles12.x86_64 by ignoring some of its dependencies

Calling localhost as described in the documentation only shows start page of nginx (“Welcome to NGINX”)

Steps to reproduce the behavior:

  • Choose solution 2 from actual behavior and install zammad

That’s where we define our dependencies.

You can manually download and install the there linked links or ensure you find a sles 12 repo that holds those packages.